Package com.independentsoft.office.diagrams

# Enum Class AlgorithmType

java.lang.Object
java.lang.Enum<AlgorithmType>
com.independentsoft.office.diagrams.AlgorithmType

All Implemented Interfaces:
  `Serializable`, `Comparable<AlgorithmType>`, `Constable`

public enum AlgorithmType extends Enum<AlgorithmType>
The Enum AlgorithmType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMPOSITE`
  `CONNECTOR`
  `CYCLE`
  `HIERARCHY_CHILD`
  `HIERARCHY_ROOT`
  `LINEAR`
  `NONE`
  `PYRAMID`
  `SNAKE`
  `SPACE`
  `TEXT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AlgorithmType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static AlgorithmType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COMPOSITE

    public static final AlgorithmType COMPOSITE

  - ### CONNECTOR

    public static final AlgorithmType CONNECTOR

  - ### CYCLE

    public static final AlgorithmType CYCLE

  - ### HIERARCHY_CHILD

    public static final AlgorithmType HIERARCHY_CHILD

  - ### HIERARCHY_ROOT

    public static final AlgorithmType HIERARCHY_ROOT

  - ### LINEAR

    public static final AlgorithmType LINEAR

  - ### PYRAMID

    public static final AlgorithmType PYRAMID

  - ### SNAKE

    public static final AlgorithmType SNAKE

  - ### SPACE

    public static final AlgorithmType SPACE

  - ### TEXT

    public static final AlgorithmType TEXT

  - ### NONE

    public static final AlgorithmType NONE

- ## Method Details

  - ### values

    public static AlgorithmType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AlgorithmType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null